Package org.globus.axis.gsi

# Interface GSIConstants

All Superinterfaces:
  `GSIConstants`

All Known Implementing Classes:
  `GSIHTTPTransport`, `HTTPSTransport`

public interface GSIConstants extends GSIConstants

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.globus.gsi.GSIConstants

`GSIConstants.CertificateType, GSIConstants.DelegationType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GSI_ANONYMOUS`
`static final String`
`GSI_AUTH_USERNAME`
`static final String`
`GSI_AUTHORIZATION`
`static final String`
`GSI_CONTEXT`
`static final String`
`GSI_CREDENTIALS`
`static final String`
`GSI_MODE`
`static final String`
`GSI_MODE_FULL_DELEG`
`static final String`
`GSI_MODE_LIMITED_DELEG`
`static final String`
`GSI_MODE_NO_DELEG`
`static final String`
`GSI_MODE_SSL`
`static final String`
`GSI_USER_DN`

### Fields inherited from interface org.globus.gsi.GSIConstants

`AUTHZ_REQUIRED_WITH_DELEGATION, CA, DELEGATION_CHAR, DELEGATION_FULL, DELEGATION_LIMITED, DELEGATION_NONE, DELEGATION_TYPE_FULL, DELEGATION_TYPE_LIMITED, EEC, ENCRYPTION, GLOBUS_CIPHER, GSI_2_LIMITED_PROXY, GSI_2_PROXY, GSI_3_IMPERSONATION_PROXY, GSI_3_INDEPENDENT_PROXY, GSI_3_LIMITED_PROXY, GSI_3_RESTRICTED_PROXY, GSI_4_IMPERSONATION_PROXY, GSI_4_INDEPENDENT_PROXY, GSI_4_LIMITED_PROXY, GSI_4_RESTRICTED_PROXY, GSI_TRANSPORT, MODE_GSI, MODE_SSL, NONE, SIGNATURE, TRUSTED_CERTIFICATES`

## Field Details

### GSI_CREDENTIALS

static final String GSI_CREDENTIALS

See Also:
  - Constant Field Values

### GSI_AUTHORIZATION

static final String GSI_AUTHORIZATION

See Also:
  - Constant Field Values

### GSI_MODE

static final String GSI_MODE

See Also:
  - Constant Field Values

### GSI_AUTH_USERNAME

static final String GSI_AUTH_USERNAME

See Also:
  - Constant Field Values

### GSI_USER_DN

static final String GSI_USER_DN

See Also:
  - Constant Field Values

### GSI_ANONYMOUS

static final String GSI_ANONYMOUS

See Also:
  - Constant Field Values

### GSI_CONTEXT

static final String GSI_CONTEXT

See Also:
  - Constant Field Values

### GSI_MODE_SSL

static final String GSI_MODE_SSL

See Also:
  - Constant Field Values

### GSI_MODE_NO_DELEG

static final String GSI_MODE_NO_DELEG

See Also:
  - Constant Field Values

### GSI_MODE_FULL_DELEG

static final String GSI_MODE_FULL_DELEG

See Also:
  - Constant Field Values

### GSI_MODE_LIMITED_DELEG

static final String GSI_MODE_LIMITED_DELEG

See Also:
  - Constant Field Values